> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List nfts

> Returns a list of non-fungible tokens



## OpenAPI

````yaml /openapi.yaml get /api/v1/tokens/{tokenId}/nfts
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: Hedera Mainnet Mirror Node
    url: https://mainnet.mirrornode.hedera.com
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/tokens/{tokenId}/nfts:
    get:
      tags:
        - tokens
      summary: List nfts
      description: Returns a list of non-fungible tokens
      operationId: getNfts
      parameters:
        - $ref: '#/components/parameters/tokenIdPathParam'
        - $ref: '#/components/parameters/accountIdQueryParam'
        - $ref: '#/components/parameters/limitQueryParam'
        - $ref: '#/components/parameters/orderQueryParamDesc'
        - $ref: '#/components/parameters/serialNumberQueryParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Nfts'
        '400':
          $ref: '#/components/responses/InvalidParameterError'
components:
  parameters:
    tokenIdPathParam:
      name: tokenId
      in: path
      required: true
      description: Token id
      examples:
        tokenNumAlias:
          value: 1135
        shardRealmTokenNumAlias:
          value: 0.0.000000000000000000000000000000000000046F
        tokenNum:
          value: 1135
        shardRealmTokenNum:
          value: 0.0.1135
      schema:
        $ref: '#/components/schemas/EntityId'
    accountIdQueryParam:
      name: account.id
      in: query
      description: The ID of the account to return information for
      explode: true
      examples:
        noValue:
          summary: '--'
          value: ''
        entityNumNoOperator:
          summary: Example of entityNum equals with no operator
          value: 100
        idNoOperator:
          summary: Example of id equals with no operator
          value: 0.0.100
        entityNumEqOperator:
          summary: Example of entityNum equals operator
          value: eq:200
        idEqOperator:
          summary: Example of id equals operator
          value: eq:0.0.200
        entityNumNeOperator:
          summary: Example of entityNum not equals operator
          value: ne:300
        idNeOperator:
          summary: Example of id not equals operator
          value: ne:0.0.300
        entityNumGtOperator:
          summary: Example of entityNum greater than operator
          value: gt:400
        idGtOperator:
          summary: Example of id greater than operator
          value: gt:0.0.400
        entityNumGteOperator:
          summary: Example of entityNum greater than or equals operator
          value: gte:500
        idGteOperator:
          summary: Example of id greater than or equals operator
          value: gte:0.0.500
        entityNumLtOperator:
          summary: Example of entityNum less than operator
          value: lt:600
        idLtOperator:
          summary: Example of id less than operator
          value: lt:0.0.600
        entityNumLteOperator:
          summary: Example of entityNum less than or equals operator
          value: lte:700
        idLteOperator:
          summary: Example of id less than or equals operator
          value: lte:0.0.700
      schema:
        $ref: '#/components/schemas/EntityIdQuery'
    limitQueryParam:
      name: limit
      in: query
      description: The maximum number of items to return
      example: 2
      schema:
        format: int32
        type: integer
        default: 25
        minimum: 1
        maximum: 100
    orderQueryParamDesc:
      name: order
      in: query
      description: The order in which items are listed
      example: asc
      schema:
        enum:
          - asc
          - desc
        default: desc
    serialNumberQueryParam:
      name: serialnumber
      in: query
      explode: true
      description: >-
        The nft serial number (64 bit type). Requires a tokenId value also be
        populated.
      examples:
        noValue:
          summary: '--'
          value: ''
        serialNumNoOperator:
          summary: Example of serialNum equals with no operator
          value: 100
        serialNumEqOperator:
          summary: Example of serialNum equals operator
          value: eq:200
        serialNumGtOperator:
          summary: Example of serialNum greater than operator
          value: gt:400
        serialNumGteOperator:
          summary: Example of serialNum greater than or equals operator
          value: gte:500
        serialNumLtOperator:
          summary: Example of serialNum less than operator
          value: lt:600
        serialNumLteOperator:
          summary: Example of serialNum less than or equals operator
          value: lte:700
      schema:
        type: string
        pattern: ^((eq|gt|gte|lt|lte):)?\d{1,19}?$
  schemas:
    Nfts:
      type: object
      properties:
        nfts:
          type: array
          items:
            $ref: '#/components/schemas/Nft'
        links:
          $ref: '#/components/schemas/Links'
    EntityId:
      type: string
      description: Network entity ID in the format of `shard.realm.num`
      pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
      example: 0.0.2
      nullable: true
    EntityIdQuery:
      type: string
      pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
    Nft:
      type: object
      properties:
        account_id:
          $ref: '#/components/schemas/EntityId'
        created_timestamp:
          $ref: '#/components/schemas/TimestampNullable'
        delegating_spender:
          $ref: '#/components/schemas/EntityId'
        deleted:
          description: whether the nft or the token it belongs to has been deleted
          type: boolean
        metadata:
          description: Arbitrary binary data associated with this NFT encoded in base64.
          type: string
          format: byte
        modified_timestamp:
          $ref: '#/components/schemas/TimestampNullable'
        serial_number:
          example: 1
          format: int64
          type: integer
        spender:
          $ref: '#/components/schemas/EntityId'
        token_id:
          $ref: '#/components/schemas/EntityId'
      example:
        account_id: 0.1.2
        created_timestamp: '1234567890.000000001'
        delegating_spender: 0.0.400
        deleted: false
        metadata: VGhpcyBpcyBhIHRlc3QgTkZU
        modified_timestamp: '1610682445.003266001'
        serial_number: 124
        spender_id: 0.0.500
        token_id: 0.0.222
    Links:
      type: object
      properties:
        next:
          example: null
          nullable: true
          type: string
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    TimestampNullable:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
      nullable: true
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds

````